use godot::prelude::*;

mod screencast;

#[derive(GodotClass)]
#[class(base=Object)]
struct XdgPortals {
    base: Base<Object>,
}

#[godot_api]
impl IObject for XdgPortals {
    fn init(base: Base<Object>) -> Self {
        Self { base }
    }
}

#[godot_api]
impl XdgPortals {
    #[func]
    fn screencast() {}
}
